= Language.C =

Language.C is a parser and pretty-printer framework for C99 and the extensions of gcc.

See http://www.sivity.net/projects/language.c/

== Build and Install ==

cabal install

-- or --

runhaskell Setup.hs configure FLAGS
runhaskell Setup.hs build
runhaskell Setup.hs install

Provide the set of flags passing
 --flags="<flags-seperated-by-space>"
to configure.

== Compatibility ==

Tested with ghc-7.2 (Ubuntu) and ghc-7.4 (Ubuntu).
It is recommended to use the most recent platform release: http://hackage.haskell.org/platform/.

== Sources ==

see src/README

== Examples ==

A couple of small examples are available in /examples

== Testing ==

A couple of regression tests can be run via
> cd test/harness; make

For more tests, see test/README.